JavaScriptRepositoriesExtension (Gradle API 2.14.1)

org.gradle.plugins.javascript.base

## Class JavaScriptRepositoriesExtension

- java.lang.Object
- - org.gradle.plugins.javascript.base.JavaScriptRepositoriesExtension

-     public class JavaScriptRepositoriesExtension
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GOOGLE_APIS_REPO_URL`
    `static String` | `GRADLE_PUBLIC_JAVASCRIPT_REPO_URL`
    `static String` | `NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptRepositoriesExtension(RepositoryHandler repositories)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IvyArtifactRepository` | `googleApis()`
    `IvyArtifactRepository` | `googleApis(Action<? super IvyArtifactRepository> action)`
    `ArtifactRepository` | `gradle()`
    `MavenArtifactRepository` | `gradle(Action<? super MavenArtifactRepository> action)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

          public static final String GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

      See Also:
        Constant Field Values

    - #### GOOGLE_APIS_REPO_URL

          public static final String GOOGLE_APIS_REPO_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaScriptRepositoriesExtension

          public JavaScriptRepositoriesExtension(RepositoryHandler repositories)

  - ### Method Detail

    - #### gradle

          public ArtifactRepository gradle()

    - #### gradle

          public MavenArtifactRepository gradle(Action<? super MavenArtifactRepository> action)

    - #### googleApis

          public IvyArtifactRepository googleApis()

    - #### googleApis

          public IvyArtifactRepository googleApis(Action<? super IvyArtifactRepository> action)